import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule,Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';

import { AppMenuModule } from '@widgets/app/app-index-view-appmenu/app-index-view-appmenu.module';

import { AppIndexViewPage } from './app-index-view.page';

const routes: Routes = [
  {
    path: '',
    redirectTo: 'test_appindexview',
    pathMatch: 'full'
  },
  {
    path: 'test_appindexview',
    component: AppIndexViewPage,
    children: [
    ]
  }
];

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [
    RouterModule
  ]
})
export class AppIndexViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppIndexViewRouteModule,
    AppMenuModule,
  ],
  declarations: [ AppIndexViewPage]
})
export class AppIndexViewModule {}
