import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widgets/bxd/main-form/main-form.module';
import { BXDEditViewPage } from './bxdedit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: BXDEditViewPage,
        data: { name: 'test_bxdeditview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class BXDEditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ShareModule,
    BXDEditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [BXDEditViewPage],
  entryComponents: [BXDEditViewPage],
  exports: [BXDEditViewPage]
})
export class BXDEditViewModule {}
